Skip to main content
GET
/
api
/
config
Error
A valid request URL is required to generate request examples
{
  "client_config": {
    "drop_excess_requests": true,
    "prometheus_labels": [
      "<string>"
    ],
    "allowed_origins": [
      "<string>"
    ],
    "initial_pool_size": 123,
    "enable_logging": true,
    "disable_content_logging": true,
    "allow_per_request_content_storage_override": false,
    "allow_per_request_raw_override": false,
    "enforce_auth_on_inference": true,
    "enforce_governance_header": true,
    "max_request_body_size_mb": 123,
    "compat": {
      "convert_text_to_chat": true,
      "convert_chat_to_responses": true,
      "should_drop_params": true,
      "should_convert_params": false
    },
    "log_retention_days": 123,
    "header_filter_config": {
      "allowlist": [
        "<string>"
      ],
      "denylist": [
        "<string>"
      ]
    },
    "mcp_agent_depth": 123,
    "mcp_tool_execution_timeout": 123,
    "mcp_code_mode_binding_level": "<string>",
    "required_headers": [
      "<string>"
    ],
    "logging_headers": [
      "<string>"
    ],
    "mcp_external_base_url": "<string>"
  },
  "framework_config": {
    "id": 123,
    "pricing_url": "<string>",
    "pricing_sync_interval": 123
  },
  "auth_config": {
    "admin_username": "<string>",
    "admin_password": "<string>",
    "is_enabled": true,
    "disable_auth_on_inference": true
  },
  "is_db_connected": true,
  "is_cache_connected": true,
  "is_logs_connected": true,
  "proxy_config": {
    "enabled": true,
    "url": "<string>",
    "username": "<string>",
    "password": "<string>",
    "no_proxy": "<string>",
    "timeout": 123,
    "skip_tls_verify": true,
    "enable_for_scim": true,
    "enable_for_inference": true,
    "enable_for_api": true
  },
  "restart_required": {
    "required": true,
    "reason": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Query Parameters

from_db
enum<string>

If true, fetch configuration directly from the database

Available options:
true,
false

Response

Successful response

Configuration response

client_config
object

Client configuration

framework_config
object

Framework configuration

auth_config
object

Authentication configuration

is_db_connected
boolean
is_cache_connected
boolean
is_logs_connected
boolean
proxy_config
object

Global proxy configuration

restart_required
object

Restart required configuration